Next Previous Contents

## 3.15 POKEW

> Function

>   Write a word (two bytes) to memory.

> Header

>   `peekpoke.h`

> Declaration

>   `void POKEW (unsigned addr, unsigned val);`

> Description

>   The function writes the value `val` to the absolute memory address given by `addr`. The low byte of `val` is written to the `addr`, the high byte is written to `addr+1`.

> Limits

>   - The function is actually a macro.
>   - This function depends highly on the platform and environment.
>   - Careless use will cause the program to act strange or may crash the machine.
>   - The order in which the two bytes are written is unspecified and may depend of the address expression used.
> Availability

>   cc65

> See also

>   PEEK, POKE

> Example

>   None.

Next Previous Contents